net.sourceforge.pmd.util

## Class CompoundListTest

- java.lang.Object
- - net.sourceforge.pmd.util.CompoundListTest

    public class CompoundListTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CompoundListTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testEmpty()`
`void` `testEmptyBadNext()`
`void` `testEmptyBadRemove()`
`void` `testHappyPath()`
`void` `testHappyPathRemove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompoundListTest

    public CompoundListTest()

### Method Detail

#### setUp

    public void setUp()

#### testHappyPath

    public void testHappyPath()

#### testHappyPathRemove

    public void testHappyPathRemove()

#### testEmpty

    public void testEmpty()

#### testEmptyBadNext

    public void testEmptyBadNext()

#### testEmptyBadRemove

    public void testEmptyBadRemove()

#### suite

    public static junit.framework.Test suite()